* ============================================================
*   Nom de la base   :  MCD_HOTEL                             
*   Nom de SGBD      :  Microsoft Visual FoxPro 5.0           
*   Date de cration :  16/01/2001  22:31   
*   Copyright        : Frdric BROUARD                                       
* ============================================================

* ============================================================
*   Table : T_CHAMBRE                                         
* ============================================================
create table T_CHAMBRE ;
( ;
    CHB_ID               I            not null, ;
    CHB_NUMERO           N(5,0)       not null, ;
    CHB_ETAGE            C(3)         null    , ;
    CHB_BAIN             L            not null ;
        default 0, ;
    CHB_DOUCHE           L            not null ;
        default 1, ;
    CHB_WC               L            not null ;
        default 1, ;
    CHB_COUCHAGE         N(5,0)       not null, ;
    CHB_POSTE_TEL        C(3)         null    , ;
    primary key CHB_ID tag PK_1 ;
)

* ============================================================
*   Table : T_TARIF                                           
* ============================================================
create table T_TARIF ;
( ;
    TRF_DATE_DEBUT       D            not null, ;
    TRF_TAUX_TAXES       N(6,0)       not null, ;
    TRF_PETIT_DEJEUNE    Y            not null, ;
    primary key TRF_DATE_DEBUT tag PK_10 ;
)

* ============================================================
*   Table : T_PLANNING                                        
* ============================================================
create table T_PLANNING ;
( ;
    PLN_JOUR             D            not null, ;
    primary key PLN_JOUR tag PK_13 ;
)

* ============================================================
*   Table : T_TITRE                                           
* ============================================================
create table T_TITRE ;
( ;
    TIT_CODE             C(8)         not null, ;
    TIT_LIBELLE          C(32)        not null, ;
    primary key TIT_CODE tag PK_20 ;
)

* ============================================================
*   Table : T_TYPE                                            
* ============================================================
create table T_TYPE ;
( ;
    TYP_CODE             C(8)         not null, ;
    TYP_LIBELLE          C(32)        not null, ;
    primary key TYP_CODE tag PK_35 ;
)

* ============================================================
*   Table : T_MODE_PAIEMENT                                   
* ============================================================
create table T_MODE_PAIEMENT ;
( ;
    PMT_CODE             C(8)         not null, ;
    PMT_LIBELLE          C(64)        not null, ;
    primary key PMT_CODE tag PK_51 ;
)

* ============================================================
*   Table : T_CLIENT                                          
* ============================================================
create table T_CLIENT ;
( ;
    CLI_ID               I            not null, ;
    TIT_CODE             C(8)         null    , ;
    CLI_NOM              C(32)        not null, ;
    CLI_PRENOM           C(25)        null    , ;
    CLI_ENSEIGNE         C(100)       null    , ;
    primary key CLI_ID tag PK_15 ;
)

* ============================================================
*   Table : T_FACTURE                                         
* ============================================================
create table T_FACTURE ;
( ;
    FAC_ID               I            not null, ;
    CLI_ID               I            not null, ;
    PMT_CODE             C(8)         null    , ;
    FAC_DATE             D            not null, ;
    FAC_PMT_DATE         D            null    , ;
    primary key FAC_ID tag PK_42 ;
)

* ============================================================
*   Table : T_ADRESSE                                         
* ============================================================
create table T_ADRESSE ;
( ;
    ADR_ID               I            not null, ;
    CLI_ID               I            not null, ;
    ADR_LIGNE1           C(32)        not null, ;
    ADR_LIGNE2           C(32)        null    , ;
    ADR_LIGNE3           C(32)        null    , ;
    ADR_LIGNE4           C(32)        null    , ;
    ADR_CP               C(5)         not null, ;
    ADR_VILLE            C(32)        not null, ;
    primary key ADR_ID tag PK_23 ;
)

* ============================================================
*   Table : T_TELEPHONE                                       
* ============================================================
create table T_TELEPHONE ;
( ;
    TEL_ID               I            not null, ;
    CLI_ID               I            not null, ;
    TYP_CODE             C(8)         not null, ;
    TEL_NUMERO           C(20)        not null, ;
    TEL_LOCALISATION     C(64)        null    , ;
    primary key TEL_ID tag PK_31 ;
)

* ============================================================
*   Table : T_EMAIL                                           
* ============================================================
create table T_EMAIL ;
( ;
    EML_ID               I            not null, ;
    CLI_ID               I            not null, ;
    EML_ADRESSE          C(100)       not null, ;
    EML_LOCALISATION     C(64)        null    , ;
    primary key EML_ID tag PK_38 ;
)

* ============================================================
*   Table : T_LIGNE_FACTURE                                   
* ============================================================
create table T_LIGNE_FACTURE ;
( ;
    LIF_ID               I            not null, ;
    FAC_ID               I            not null, ;
    LIF_QTE              N(6,0)       not null, ;
    LIF_REMISE_POURCENT  N(6,0)       null    , ;
    LIF_REMISE_MONTANT   Y            null    , ;
    LIF_MONTANT          Y            not null, ;
    LIF_TAUX_TVA         Y            not null, ;
    primary key LIF_ID tag PK_45 ;
)

* ============================================================
*   Table : TJ_TRF_CHB                                        
* ============================================================
create table TJ_TRF_CHB ;
( ;
    CHB_ID               I            not null, ;
    TRF_DATE_DEBUT       D            not null, ;
    TRF_CHB_PRIX         Y            not null, ;
    primary key CHB_ID + DTOS(TRF_DATE_DEBUT) tag PK_54 ;
)

* ============================================================
*   Table : TJ_CHB_PLN_CLI                                    
* ============================================================
create table TJ_CHB_PLN_CLI ;
( ;
    CHB_ID               I            not null, ;
    PLN_JOUR             D            not null, ;
    CLI_ID               I            not null, ;
    CHB_PLN_CLI_NB_PERS  N(5,0)       not null, ;
    CHB_PLN_CLI_RESERVE  L            not null ;
        default 0, ;
    CHB_PLN_CLI_OCCUPE   L            not null ;
        default 1, ;
    primary key CHB_ID + DTOS(PLN_JOUR) tag PK_58 ;
)

alter table T_CLIENT ;
    add foreign key TIT_CODE tag FK_65 ;
       references T_TITRE

alter table T_FACTURE ;
    add foreign key CLI_ID tag FK_70 ;
       references T_CLIENT

alter table T_FACTURE ;
    add foreign key PMT_CODE tag FK_72 ;
       references T_MODE_PAIEMENT

alter table T_ADRESSE ;
    add foreign key CLI_ID tag FK_66 ;
       references T_CLIENT

alter table T_TELEPHONE ;
    add foreign key CLI_ID tag FK_67 ;
       references T_CLIENT

alter table T_TELEPHONE ;
    add foreign key TYP_CODE tag FK_68 ;
       references T_TYPE

alter table T_EMAIL ;
    add foreign key CLI_ID tag FK_69 ;
       references T_CLIENT

alter table T_LIGNE_FACTURE ;
    add foreign key FAC_ID tag FK_71 ;
       references T_FACTURE

alter table TJ_TRF_CHB ;
    add foreign key CHB_ID tag FK_56 ;
       references T_CHAMBRE

alter table TJ_TRF_CHB ;
    add foreign key TRF_DATE_DEBUT tag FK_57 ;
       references T_TARIF

alter table TJ_CHB_PLN_CLI ;
    add foreign key CHB_ID tag FK_62 ;
       references T_CHAMBRE

alter table TJ_CHB_PLN_CLI ;
    add foreign key PLN_JOUR tag FK_63 ;
       references T_PLANNING

alter table TJ_CHB_PLN_CLI ;
    add foreign key CLI_ID tag FK_64 ;
       references T_CLIENT

